# Gimp.file_load

    function file_load(run_mode: Gimp.RunMode, file: Gio.File): Gimp.Image {
        // Gjs wrapper for gimp_file_load()
    }

Loads an image file by invoking the right load handler.

This procedure invokes the correct file load handler using magic if possible, and falling back on the file's extension and/or prefix if not.

run_mode

  The run mode.

file

  The file to load.

Returns

  The output image.